Execute an approved remediation.
approved status before execution can begin.
Required role: admin or owner
approved status. Example: rem_01HX9VTPQR3KF8MZWBYD5N6JCE.200 OK when execution has been initiated successfully.
| Field | Type | Description |
|---|---|---|
remediationId | string | The remediation being executed |
status | string | Always "executing" immediately after a successful execution request |
remediation.completed and remediation.failed webhook events.
| Status | Error code | Description |
|---|---|---|
404 | remediation_not_found | No remediation exists with the given ID |
403 | forbidden | The authenticated user is not an admin or owner |
409 | invalid_status | The remediation is not in approved status |
approved status before execution. Call POST /v1/remediation//approve first if it is still awaiting approval.